curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/timeseries' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"timeseries": {
"bucket": "string",
"points": [
{
"avg_duration_seconds": null,
"billable": null,
"bucket_start": null,
"escalated": null,
"pending_emit": null,
"total": null
}
],
"window": "string"
}
}
Get Voice Outcome Timeseries
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
GET
/
api
/
v1
/
voice-outcomes
/
timeseries
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/timeseries' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"timeseries": {
"bucket": "string",
"points": [
{
"avg_duration_seconds": null,
"billable": null,
"bucket_start": null,
"escalated": null,
"pending_emit": null,
"total": null
}
],
"window": "string"
}
}
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
Query parameters
string
string
Response
VoiceOutcomeTimeseriesResponse
boolean
required
string
required
VoiceOutcomeTimeseries
required
Status codes
| Code | Meaning |
|---|---|
200 | Outcome timeseries |
401 | Unauthorized |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/timeseries' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"timeseries": {
"bucket": "string",
"points": [
{
"avg_duration_seconds": null,
"billable": null,
"bucket_start": null,
"escalated": null,
"pending_emit": null,
"total": null
}
],
"window": "string"
}
}
Last modified on August 31, 2026